Index: trunk/admin/modules/Elezioni/ele_comuni.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_comuni.php	(revision 246)
+++ trunk/admin/modules/Elezioni/ele_comuni.php	(revision 247)
@@ -34,4 +34,5 @@
 if (isset($param['simbolo'])) get_magic_quotes_gpc() ? $simbolo=$param['simbolo']:$simbolo=addslashes($param['simbolo']); else $simbolo='';
 if (isset($param['cerca'])) get_magic_quotes_gpc() ? $cerca=$param['cerca']:$cerca=addslashes($param['cerca']); else $cerca='';
+if (isset($param['cap'])) get_magic_quotes_gpc() ? $cap=$param['cap']:$cap=addslashes($param['cap']); else $cap='';
 
 	$res = mysql_query("SELECT t1.tipo_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_comune='$id_comune' " , $dbi);
@@ -55,5 +56,5 @@
 	//crea la pagina delle affluenze
 function all() {
-	global $bgcolor1, $bgcolor2, $prefix, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$id_comune2,$id_cons_gen,$cerca;
+	global $bgcolor1, $bgcolor2, $prefix, $dbi,$id_cons,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$id_comune2,$id_cons_gen,$cerca,$cap;
  if( !isset($id_conf) ) $id_conf=1;
 	echo "<SCRIPT type=\"text/javascript\">\n\n<!--\n";
@@ -69,5 +70,5 @@
 
  
-	$resmod = mysql_query("SELECT id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo FROM ".$prefix."_ele_comuni where descrizione like '$cerca%' order by descrizione", $dbi);
+	$resmod = mysql_query("SELECT id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,cap FROM ".$prefix."_ele_comuni where descrizione like '$cerca%' order by descrizione", $dbi);
 	echo "<table width=\"100%\"><tr><td bgcolor=\"$bgcolor2\"> <form name=\"cerca\" action=\"admin.php\">"
 	."<input type=\"hidden\" name=\"op\" value=\"inscomuni\">";
@@ -107,5 +108,6 @@
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._FAX."</b></td><td><input name=\"fax\" value=\"$fax\" size=\"6\"></td></tr>";
 	echo "<tr><td bgcolor=\"$bgcolor1\"><b>"._EMAIL."</b></td><td><input name=\"email\" value=\"$email\"></td>";
-	echo "<td></td><td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
+	echo "<td bgcolor=\"$bgcolor1\"><b>CAP</b></td><td><input name=\"cap\" value=\"$cap\" size=\"6\"> (<i>per googlemaps</i>) </td></tr>";
+	echo "<td></td><td></td><td></td><td><input type=\"hidden\" name=\"id_cons_gen\" value=\"$id_cons_gen\">";
 	echo "<input type=\"hidden\" name=\"ok\" value=0>";
 	if ($id_comune2) {
@@ -122,13 +124,15 @@
 	echo "<td bgcolor=\"$bgcolor1\"><b>"._CODICE."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._PROV."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DESCR."</b></td>"
-	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._INDIRIZZO."</b></td>"
-	."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._CENTRALINO."</b></td>";
-	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FAX."</b></td>";
+	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._DESCR."</b></td>";
+	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._INDIRIZZO."</b></td>";
+	//."<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._CENTRALINO."</b></td>";
+	//echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FAX."</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._EMAIL."</b></td>";
+	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>CAP</b></td>";
 	echo "<td bgcolor=\"$bgcolor1\" align=\"center\"><b>"._FASCIA."</b></td></tr>";
+	
 
 ####
-	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$simbolo) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
+	while (list($id_comune2,$desc,$indirizzo,$centralino,$fax,$email,$fasciatmp,$prov,$simbolo,$cap) = mysql_fetch_row($resmod)){ //elenco dei modelli inseriti
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		if (!$simbolo) $simbolo="nulla.jpg";
@@ -146,7 +150,8 @@
 		echo "<td><b>$desc</b></td>";
 		echo "<td><b>$indirizzo</b></td>";
-		echo "<td><b>$centralino</b></td>";
-		echo "<td><b>$fax</b></td>";
+		//echo "<td><b>$centralino</b></td>";
+		//echo "<td><b>$fax</b></td>";
 		echo "<td><b>".substr($email,0,15)."...</b></td>";
+		echo "<td><b>$cap</b></td>";
 		$resopt1 = mysql_query("select abitanti from ".$prefix."_ele_fasce where id_fascia=$fasciatmp and id_conf=$id_conf", $dbi);
 		list($tmpfascia)=mysql_fetch_row($resopt1);
@@ -176,5 +181,5 @@
 		echo "<input type=\"hidden\" name=\"ok\" value=0>";
 		echo "</td><td nowrap>[<a
-		href=\"admin.php?op=inscomuni&amp;desc=$desc&amp;id_comune2=$id_comune2&amp;indirizzo=$indirizzo&amp;centralino=$centralino&amp;fax=$fax&amp;email=$email&amp;fascia=$fasciatmp&amp;prov=$prov&amp;id_cons_gen=$id_cons_gen\"><img  align=\"center\" src=\"modules/Elezioni/images/edit.gif\"
+		href=\"admin.php?op=inscomuni&amp;desc=$desc&amp;id_comune2=$id_comune2&amp;indirizzo=$indirizzo&amp;centralino=$centralino&amp;fax=$fax&amp;email=$email&amp;fascia=$fasciatmp&amp;prov=$prov&amp;id_cons_gen=$id_cons_gen&amp;cap=$cap\"><img  align=\"center\" src=\"modules/Elezioni/images/edit.gif\"
                 border=\"0\"> "._EDIT."</a>]";
 		echo "</tr></form>";
@@ -185,5 +190,5 @@
 	}
 
-function comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune,$fasciatmp,$prov,$simbolo) {
+function comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune,$fasciatmp,$prov,$simbolo,$cap) {
 		global $bgcolor1, $bgcolor2, $prefix, $dbi, $descr_cons, $id_cons_gen,$genere;
 /*      			if ($do == "delete") {
@@ -214,5 +219,5 @@
 					$stemmanome=addslashes($nomestemma);
 				}
-      			$result = mysql_query("insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fasciatmp','$prov','$stemmanome','$stemmablob')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+      			$result = mysql_query("insert into ".$prefix."_ele_comuni (id_comune,descrizione,indirizzo,centralino,fax,email,fascia,capoluogo,simbolo,stemma,cap) values ('$id_comune','$desc','$indirizzo','$centralino','$fax','$email','$fasciatmp','$prov','$stemmanome','$stemmablob','$cap')", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
            		Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
      		} else {
@@ -237,5 +242,5 @@
 				$cond=", simbolo='$stemmanome', stemma='$stemmablob'";
 			} else {$cond='';$stemmanome=''; $stemmablob='';}
-        	$result = mysql_query("update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax', email='$email', fascia='$fasciatmp',capoluogo='$prov' $cond where id_comune='$id_comune'", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
+        	$result = mysql_query("update  ".$prefix."_ele_comuni set descrizione='$desc' , indirizzo='$indirizzo', centralino='$centralino', fax='$fax' , cap='$cap' , email='$email', fascia='$fasciatmp',capoluogo='$prov' $cond where id_comune='$id_comune'", $dbi) || die("<br><br>Errore di inserimento: ".mysql_error());
            	Header("Location: admin.php?op=inscomuni&id_cons_gen=$id_cons_gen");
    	}
@@ -245,5 +250,5 @@
 
 if ($do)
-	comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune2,$fasciatmp,$prov,$simbolo);
+	comuni($ok, $do,$desc,$indirizzo,$centralino,$fax,$email,$id_comune2,$fasciatmp,$prov,$simbolo,$cap);
 ele();
 all();
Index: trunk/admin/modules/Elezioni/ele_configurazione.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 246)
+++ trunk/admin/modules/Elezioni/ele_configurazione.php	(revision 247)
@@ -56,4 +56,6 @@
 if (isset($param['help'])) $help=intval($param['help']);
 
+
+
 /******************************************************/
 /*Funzione di visualizzazione globale                 */
@@ -82,5 +84,9 @@
 	echo "<td>";
 	echo "<b>"._TEMA."</b></td>";
+	verificatema(); //funzione alla fine del file
+
  ########## 
+
+	
 	$resmod = mysql_query("SELECT tema FROM ".$prefix."_ele_temi order by tema", $dbi);
 
@@ -200,4 +206,59 @@
 
 
+function verificatema(){
+############# verifica tema - presenti nella dir temi
+global $dbi,$prefix;
+    $tlist='';$files='';
+	$path = "../client/temi";
+	$handle=opendir($path);
+    	while ($file = readdir($handle)) {
+		   $tlist .= "$file ";
+   	}
+
+    	closedir($handle);
+    	$tlist = explode(" ", $tlist);
+    	sort($tlist);
+
+    	for ($i=0; $i < sizeof($tlist); $i++) {
+		if ( (preg_match('/^([_0-9a-zA-Z]+)([_0-9a-zA-Z]{3})$/',$tlist[$i])) ) $files=$tlist[$i];
+		   if($files!=''){
+		    	$sql = mysql_query("SELECT id FROM ".$prefix."_ele_temi where tema='$files'", $dbi);
+		    	list($idwid) = mysql_fetch_row($sql);
+		    	$id = intval($idwid);
+			if (empty($id)) { // inserisce widget db se non esiste
+			$result = mysql_query("insert into ".$prefix."_ele_temi (id,tema) values ( NULL,'$files')", $dbi);
+	          }
+		}
+		  
+		  
+
+
+
+
+
+
+	}
+ 
+		  # se non esiste cancella dal db
+		  $sql2 = mysql_query("SELECT * FROM ".$prefix."_ele_temi", $dbi);
+		  while ($row = mysql_fetch_array($sql2)) {
+			$esi=0;
+			for ($i=0; $i < sizeof($tlist); $i++) {
+			      $files=$tlist[$i];
+			      if($row['tema']==$files) $esi=1;
+			}
+			if($esi!=1){
+			      $del=mysql_query("DELETE FROM ".$prefix."_ele_tema WHERE id = '$row[id]'",$dbi);
+		      }
+		}
+
+################# fine 
+
+}
+
+
+
+
+
 
 
Index: trunk/admin/versione.php
===================================================================
--- trunk/admin/versione.php	(revision 246)
+++ trunk/admin/versione.php	(revision 247)
@@ -1,7 +1,7 @@
 <?php
 
-$versione = "2.0 rev 243";
+$versione = "2.0 rev 247";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 08 luglio 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 31 gennaio 2016</i>)";
 
 ?> 
Index: trunk/client/header.php
===================================================================
--- trunk/client/header.php	(revision 246)
+++ trunk/client/header.php	(revision 247)
@@ -60,5 +60,5 @@
 	# rotazione per tema tour
 	if (isset($_SESSION['ruota'])){$csv=1; echo "<body onload=\"loadpage()\"";}
-	else echo "<body";
+	else echo "<body  onload=\"maps()\"";
 	if (!$csv) echo " style=\"background-image: url(temi/$tema/images/sfondo.jpg); background-repeat:repeat-x;\"";
 	echo " >\n";
Index: trunk/client/inc/javascript.php
===================================================================
--- trunk/client/inc/javascript.php	(revision 246)
+++ trunk/client/inc/javascript.php	(revision 247)
@@ -49,4 +49,9 @@
 
 
+
+
+
+
+
 function googlemaps(){
 global $dbi,$prefix,$id_comune,$googlemaps,$op,$gkey,$lang;
@@ -57,5 +62,28 @@
     $sql = mysql_query("select indirizzo from ".$prefix."_ele_sede where id_sede='$id_sede'", $dbi);
     list($indirizzo)=mysql_fetch_row($sql);
-    $address="$indirizzo  $comune";
+    $address=rawurlencode("$indirizzo,$comune,58047");
+
+	$resultGeoCode=file_get_contents('http://maps.google.com/maps/api/geocode/json?address='.$address.'&amp;sensor=false');
+
+	$output= json_decode($resultGeoCode);
+	
+	if($output->status == 'OK'){
+		$latitude 	= $output->results[0]->geometry->location->lat; //Returns Latitude
+		$longitude 	= $output->results[0]->geometry->location->lng; // Returns Longitude
+		$location	= $output->results[0]->formatted_address;
+	}
+
+
+	$coords['lat'] = $latitude;
+	$coords['long'] = $longitude;
+
+
+
+
+
+/*
+
+
+
 	
         $url = sprintf('http://maps.google.com/maps?output=js&q=%s',rawurlencode($address));
@@ -75,8 +103,16 @@
 	}
 
+*/
+
+
+
+
+
+
+
 echo '
 <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=true&language=it"></script>
    <script type="text/javascript">
-      function initialize() {
+      function maps() {
          var latlng = new google.maps.LatLng('.$coords['lat'].','.$coords['long'].'); // centro della mappa
          var myLatlng = new google.maps.LatLng('.$coords['lat'].','.$coords['long'].'); // segnapunto
@@ -99,4 +135,5 @@
    </script>
 ';
+
 }
 ?>
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 246)
+++ trunk/client/versione.php	(revision 247)
@@ -1,7 +1,8 @@
 <?php
 
-$versione = "2.0 rev 243";
+$versione = "2.0 rev 247";
 $version_number = $versione;
-$version = "Eleonline $version_number (<i>Data Release: 08 luglio 2015</i>)";
+$version = "Eleonline $version_number (<i>Data Release: 31 gennaio 2016</i>)";
+
 
 ?> 
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 246)
+++ trunk/install/sql/eleonline.sql	(revision 247)
@@ -284,4 +284,5 @@
   `stemma` blob,
   `id_cons` int(11) default '0',
+  `cap` text,
   PRIMARY KEY  (`id_comune`),
   KEY `access_id` (`descrizione`)
@@ -861,7 +862,9 @@
 
 DROP TABLE IF EXISTS `soraldo_ele_temi`;
-CREATE TABLE `soraldo_ele_temi` (
-  `tema` varchar(20) NOT NULL
-) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+CREATE TABLE IF NOT EXISTS `soraldo_ele_temi` (
+  `id` int(11) NOT NULL AUTO_INCREMENT,
+  `tema` varchar(20) NOT NULL DEFAULT '',
+  PRIMARY KEY (`id`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
 
 --
@@ -870,9 +873,4 @@
 
 
-/*!40000 ALTER TABLE `soraldo_ele_temi` DISABLE KEYS */;
-LOCK TABLES `soraldo_ele_temi` WRITE;
-INSERT INTO `soraldo_ele_temi` VALUES ('default'),('altro'),('blog'),('stylized'),('tour'),('yellowblu'),('facebook');
-UNLOCK TABLES;
-/*!40000 ALTER TABLE `soraldo_ele_temi` ENABLE KEYS */;
 
 --
Index: trunk/sql/aggiornamento-2.0_2016-01-30.sql
===================================================================
--- trunk/sql/aggiornamento-2.0_2016-01-30.sql	(revision 247)
+++ trunk/sql/aggiornamento-2.0_2016-01-30.sql	(revision 247)
@@ -0,0 +1,8 @@
+ALTER TABLE `soraldo_ele_comuni` ADD `cap` TEXT;
+DROP TABLE IF EXISTS `soraldo_ele_temi`;
+CREATE TABLE IF NOT EXISTS `soraldo_ele_temi` (
+  `id` int(11) NOT NULL AUTO_INCREMENT,
+  `tema` varchar(20) NOT NULL DEFAULT '',
+  PRIMARY KEY (`id`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;
+