Index: trunk/client/modules/Elezioni/blocchi/app_android.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/app_android.php	(revision 249)
+++ trunk/client/modules/Elezioni/blocchi/app_android.php	(revision 249)
@@ -0,0 +1,16 @@
+<?php
+/************************************************************************/
+/* QRcode per app android   	  	                                        */
+/*  2016                                                                     */
+/************************************************************************/
+echo "<h5>App Android</h5>";
+
+echo "
+<div  style=\"text-align:center;\">
+<a href=\"https://play.google.com/store/apps/details?id=it.eleonline\" target=\"_blank\">
+<img src=\"modules/Elezioni/images/qrcode.png\" alt=\"App per Android di Eleonline\"/>
+</div>";
+
+?>
+
+
Index: trunk/client/modules/Elezioni/blocchi/bloccolink.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/bloccolink.php	(revision 248)
+++ trunk/client/modules/Elezioni/blocchi/bloccolink.php	(revision 249)
@@ -12,8 +12,6 @@
 			$content = stripslashes($content);
     			$content = substr($content,0,45);
-			echo "<b><a href=\"$preamble\">
-			$title</a></b><br />
-
-			$content<br/>";
+			echo "<b><a href=\"$preamble\">$title</a></b><br />
+			$content";
 		}		     
 	}
Index: trunk/client/modules/Elezioni/blocchi/translation.php
===================================================================
--- trunk/client/modules/Elezioni/blocchi/translation.php	(revision 248)
+++ trunk/client/modules/Elezioni/blocchi/translation.php	(revision 249)
@@ -2,8 +2,11 @@
 /************************************************************************/
 /* Google Translation         	                                        */
-/*                                                                      */
+/*  ultimo agg 7 feb 2016                                                                    */
 /************************************************************************/
 # configurazione
-$url = "elezioni.guidonia.org";	 //// url del sito 
+global $siteurl;
+//$url=str_replace("http://","",$siteurl);
+$url = $_SERVER['HTTP_HOST'].$_SERVER['REQUEST_URI'];
+//$url = "elezioni.guidonia.org";	 //// url del sito se inserito a mano
 $lingua = "it";			//// lingua di provenienza
 $titolo = "Translation";
@@ -65,4 +68,5 @@
 echo  "<option value=\"http://translate.google.com/translate?hl=$lingua&amp;sl=it&amp;tl=vi&amp;u=http%3A%2F%2F$url\">Vietnamese</option>";
 echo  "</select>";
+//echo "<hr/><a href=\"http://translate.google.com/translate?hl=&amp;sl=it&amp;tl=it&amp;u=http%3A%2F%2F$url\">Torna alla lingua originale</a>";
 echo "</div>";
 
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 248)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 249)
@@ -253,5 +253,5 @@
 		
 	}else{ // e' un referendum --> t3.id_gruppo vuota per allineare il while (da rifare con array)
-		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo,t1.voti_nulli
+		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo,'0'
 		FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 		left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
Index: trunk/client/temi/Futura2/config.php
===================================================================
--- trunk/client/temi/Futura2/config.php	(revision 248)
+++ trunk/client/temi/Futura2/config.php	(revision 249)
@@ -1,5 +1,9 @@
 <?php
+# fa partire subito i risultati in visualizzazione nel tema futura2
+# commentare nel caso si voglia la partenza del tema di default
+# if ($op=="gruppo")$op="gruppo_mob";
+
 # devisualizz errori
-//ini_set('display_errors','0');
+ini_set('display_errors','0');
 
 # verifica cambiamento colore 
@@ -12,6 +16,4 @@
 elseif($rss==6){$colortheme="f";$_SESSION['colortheme']=$colortheme;}
 
-
-
 # verifica se arriva dalle app iphone e android
 # usata la variabile rss=9 nel footer
Index: trunk/client/temi/Futura2/index.php
===================================================================
--- trunk/client/temi/Futura2/index.php	(revision 248)
+++ trunk/client/temi/Futura2/index.php	(revision 249)
@@ -114,5 +114,5 @@
 
 
-if($op=="gruppo")home();
+if($op=="gruppo")home();// leggi il file config.php
 elseif($op=="informazioni")info();
 elseif($op=="affluenze")affluenze();
Index: trunk/client/temi/altro/index.php
===================================================================
--- trunk/client/temi/altro/index.php	(revision 248)
+++ trunk/client/temi/altro/index.php	(revision 249)
@@ -37,7 +37,7 @@
 		
 	if ($blocco=='1' && $check!=0){
-		echo "<td valign=\"top\" class=\"sidebar\">";
+		echo "<td valign=\"top\" class=\"sidebar\" style=\"width:220px;\"><table><tr><td>";
     		block("dx");
-		echo "</td><td>&nbsp;&nbsp;</td><td valign=\"top\">"; 
+		echo "</td></tr></table></td><td>&nbsp;&nbsp;</td><td valign=\"top\">"; 
 		
 	}else { 
Index: trunk/client/temi/altro/menu.php
===================================================================
--- trunk/client/temi/altro/menu.php	(revision 248)
+++ trunk/client/temi/altro/menu.php	(revision 249)
@@ -18,5 +18,5 @@
 	list($descr_com,$fascia)=mysql_fetch_row($rescomu);
         echo "\n";
-	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width:900px;"><tr><td>
+	echo ' <table cellpadding="0" cellspacing="0" style="border:0px;text-align:left;width=100%;"><tr><td>
 		  <header class="main-header">
 		<ul class="main-nav">	    
@@ -228,4 +228,5 @@
     echo "</ul></li>";
 } // fine tema
+
 echo "<li><a href=\"http://www.eleonline.it/site/modules.php?name=Contatti\"><i><span style=\"font-size:10px;\">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
      by l.apolito & r.gigli</span></i></a>
Index: trunk/client/versione.php
===================================================================
--- trunk/client/versione.php	(revision 248)
+++ trunk/client/versione.php	(revision 249)
@@ -1,5 +1,5 @@
 <?php
 
-$versione = "2.0 rev 248";
+$versione = "2.0 rev 249";
 $version_number = $versione;
 $version = "Eleonline $version_number (<i>Data Release: 31 gennaio 2016</i>)";