Index: trunk/client/modules/Elezioni/gruppo.php
===================================================================
--- trunk/client/modules/Elezioni/gruppo.php	(revision 253)
+++ trunk/client/modules/Elezioni/gruppo.php	(revision 254)
@@ -4,5 +4,5 @@
 /* by Luciano Apolito & Roberto Gigli                                   */
 /* http://www.eleonline.it                                              */
-/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/* info@eleonline.it                     rgigli@libero.it               */
 /************************************************************************/
 
@@ -28,15 +28,15 @@
 if (isset($param['offsetsez'])) $offsetsez=intval($param['offsetsez']); else $offsetsez='';
 if (isset($param['perc'])) $perc=$param['perc']; else $perc='';
-if (isset($param['info'])) get_magic_quotes_gpc() ? $info=$param['info']:$info=addslashes($param['info']); else $info='';
-if (isset($param['files'])) get_magic_quotes_gpc() ? $files=$param['files']:$files=addslashes($param['files']); else $files='';
+if (isset($param['info'])) $info=addslashes($param['info']); else $info='';
+if (isset($param['files'])) $files=addslashes($param['files']); else $files='';
 if (isset($param['voti_lista'])) $voti_lista=intval($param['voti_lista']); else $voti_lista= 0;
 if (isset($param['perc_lista'])) $perc_lista=$param['perc_lista']; else $perc_lista= 0;
-if (isset($param['lettera'])) get_magic_quotes_gpc() ? $lettera=$param['lettera']:$lettera=addslashes($param['lettera']); else $lettera='';
+if (isset($param['lettera'])) $lettera=addslashes($param['lettera']); else $lettera='';
 if (isset($param['id_gruppo'])) $id_gruppo=intval($param['id_gruppo']); else $id_gruppo='';
 #if (isset($param['tipo_cons'])) $tipo_cons=intval($param['tipo_cons']); else $tipo_cons='';
 if (isset($param['pdf'])) $pdf=intval($param['pdf']); else $pdf='';
-if (isset($param['orienta'])) get_magic_quotes_gpc() ? $orienta=$param['orienta']:$orienta=addslashes($param['orienta']); else $orienta='';
-if (isset($param['datipdf'])) get_magic_quotes_gpc() ? $datipdf=$param['datipdf']:$datipdf=addslashes($param['datipdf']); else $datipdf='';
-if (isset($param['formato'])) get_magic_quotes_gpc() ? $formato=$param['formato']:$formato=addslashes($param['formato']); else $formato='';
+if (isset($param['orienta'])) $orienta=addslashes($param['orienta']); else $orienta='';
+if (isset($param['datipdf'])) $datipdf=addslashes($param['datipdf']); else $datipdf='';
+if (isset($param['formato'])) $formato=addslashes($param['formato']); else $formato='';
 # anti-xss nov. 2009 
 $id_comune=htmlentities($id_comune);
@@ -63,6 +63,6 @@
 $res = mysql_query("SELECT t1.descrizione, t1.tipo_cons,t2.genere, t2.voto_g, t2.voto_l, t2.voto_c, t2.circo FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_tipo as t2 where t1.tipo_cons=t2.tipo_cons and t1.id_cons_gen='$id_cons_gen' ", $dbi);
 list($descr_cons,$tipo_cons,$genere,$votog,$votol,$votoc,$circo) = mysql_fetch_row($res);
-$res = mysql_query("SELECT t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
-list($id_cons) = mysql_fetch_row($res);
+$res = mysql_query("SELECT t2.id_cons,t2.solo_gruppo,t2.disgiunto FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+list($id_cons,$dettnulli,$disgiunto) = mysql_fetch_row($res);
 
 
@@ -78,5 +78,5 @@
 function gruppo_circo(){
 	global $prefix, $dbi, $descr_cons, $id_cons, $id_cons_gen,$tipo_cons,$votog,$votol,$votoc,$circo, $genere,$id_gruppo,$id_lista,$bgcolor1,$bgcolor2,$id_comune,$descr_comune,$id_circ;
-	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,
+	global $id_comune,$id_cons_gen,$op,$minsez,$id_lista,$id_circ,$csv,$min,$orienta,$formato,$dettnulli,$disgiunto,
 	$orvert,$offset,$offsetsez,$perc,$info,$files,$nomefile;
 	$nomefile="";
@@ -147,5 +147,5 @@
 		if (!($offset)) $offset=25;
 		if (!($min)) $min=1;
-		if (!($offsetsez)) $offsetsez=20; 
+		if (!($offsetsez)) $offsetsez=22; 
 		if (!($minsez)) $minsez=1;
 		if ($min>$offset) { 
@@ -177,13 +177,18 @@
 			list($minsez)=mysql_fetch_row($res_min);
 			}
+		elseif (strstr( $op,'circo'))
+			$res_sez = mysql_query("SELECT count(num_circ),min(num_circ),max(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);
 		else
-			$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
-		list($tot_sez)=mysql_fetch_row($res_sez);
+			$res_sez = mysql_query("SELECT count(num_sez),min(num_sez),max(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		if($res_sez) list($tot_sez,$numsezmin,$numsezmax)=mysql_fetch_row($res_sez); 
+		$res_sez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons",$dbi);
+		list($tuttelesez)=mysql_fetch_row($res_sez); 
+
 		$num_sez=$tot_sez;//mysql_data_seek($res_sez,0);
-		if ($circo) $offsetsez=$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
-		if(strstr( $op,"circo")) {
-				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
-				list($num_sez)=mysql_fetch_row($res_sez);
-			}
+		if ($circo) $offsetsez=$numsezmax; //$num_sez+$minsez-1;//setta offsetsez sull'ultima sezione della circoscrizione
+#		if(strstr( $op,"circo")) {
+#				$res_sez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons",$dbi);  //estrae il numero delle circoscrizioni
+#				list($num_sez)=mysql_fetch_row($res_sez);
+#			}
 #Tolgo la scelta della circoscrizione o collegio perché gestita per tutte le pagine in index.php
 /*			if ($circo){ // elenco per scelta circoscrizione
@@ -229,4 +234,5 @@
 				$res_cand = mysql_query("SELECT id_cand, concat(cognome,' ', nome), num_cand from ".$prefix."_ele_$tab where id_cons=$id_cons and id_lista=$id_lista order by num_cand",$dbi);
 				if ($circo) $condcirc="and t5.id_circ=$id_circ";
+
 				$res_voti = mysql_query("select $tab2, t1.num_cand, concat(t1.cognome,' ', t1.nome), sum(t2.voti),'','','','','' 
 				from ".$prefix."_ele_candidati as t1, ".$prefix."_ele_voti_candidati as t2, "
@@ -277,6 +283,4 @@
 
 
-
-
 				$res_voti = mysql_query("select $tab2, $t.num_$tab15, $t.descrizione, sum(t2.voti), $votigl
 				from 
@@ -299,10 +303,11 @@
 				group by $t.num_$tab15,$tab3
 				order by $tab3,$t.num_$tab15",$dbi);
+			
 			}
 			if ($res_scr) list($tot_scr)=mysql_fetch_row($res_scr);else $tot_scr=0;
 			if ($res_cand) $num_cand=mysql_num_rows($res_cand); else $num_cand=0;
-			if(!$circo){
-				if (!(0 < $minsez and $minsez<=$num_sez)) $minsez=1;
-				if (!(0<$offsetsez and $offsetsez<=$num_sez)) $offsetsez=$num_sez;
+			if(!$circo){ 
+				if (!(0 < $minsez and $minsez<=$numsezmax)) $minsez=1;
+				if (!(0<$offsetsez and $offsetsez<=$numsezmax)) $offsetsez=$numsezmax;
 			}
 			if (!(0 < $min and $min<=$num_cand)) $min=1;
@@ -334,18 +339,25 @@
 				if(!$circo){
 				echo "<p>"._SCEGLI." $tipo1 n. <input  name=\"minsez\" value=\"$minsez\" size=\"4\" ></input>";
-				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $num_sez)";
+				echo _A." n. <input  name=\"offsetsez\" value=\"$offsetsez\" size=\"4\" ></input> (max. $numsezmax)";
 				}
 				# pagine
-				$diff=($offsetsez-$minsez);
-				if ($minsez>1){
-					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff-1:1;
+############
+if (strstr( $op,'circo'))
+$resnsez = mysql_query("SELECT count(num_circ) from ".$prefix."_ele_circoscrizione where id_cons=$id_cons and num_circ>=$minsez and num_circ<=$offsetsez",$dbi);
+else
+$resnsez = mysql_query("SELECT count(num_sez) from ".$prefix."_ele_sezioni where id_cons=$id_cons and num_sez>=$minsez and num_sez<=$offsetsez",$dbi);
+                list($diff)=mysql_fetch_row($resnsez);
+########
+			#	$diff=($offsetsez-$minsez);
+			if ($minsez>1){
+					$minsez_p= ($minsez-$diff)>1 ? $minsez-$diff:1;
 					 
-					$offsetsez_p=$offsetsez-$diff-1;
+					$offsetsez_p=$offsetsez-$diff;
 								echo "<div style=\"float: right; width:200px;margin-left:10px;margin-right:400px;font-size:12px \"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;op=$op&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_p&amp;offsetsez=$offsetsez_p&amp;perc=$perc&amp;id_lista=$id_lista\"> <- $tipo2 Precedenti</a></div>";
 				}else{echo "";}
 
-				if ($offsetsez<$num_sez){
-					$minsez_s=$minsez+$diff+1;
-					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff+1;
+				if ($offsetsez<$numsezmax){
+					$minsez_s=$minsez+$diff;
+					$offsetsez_s= ($offsetsez+$diff)>$num_sez ? $num_sez: $offsetsez+$diff;
 
 								echo "<div style=\"float: left; width:200px; margin-left:10px;\"><a href=\"modules.php?name=Elezioni&amp;file=index&amp;op=$op&amp;id_cons_gen=$id_cons_gen&amp;id_comune=$id_comune&amp;orvert=$orvert&amp;min=$min&amp;offset=$offset&amp;minsez=$minsez_s&amp;offsetsez=$offsetsez_s&amp;perc=$perc&amp;id_lista=$id_lista\"> $tipo2 Successive -></a></div>";
@@ -386,5 +398,5 @@
 				//echo "</tr><tr><td><b>"._COMUNE." $descr_comune</b> - "._RISULTATI.": $descr_cons <br/>"; 
 				//echo "tot:$tot_scr";
-				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tot_sez";
+				//if ($tipo_cons!=4 && $tot_scr) echo " - Sezioni scrutinate: $tot_scr su $tuttelez";
 
 				# liste e gruppi da.... a	  
@@ -487,8 +499,7 @@
 			if (!$csv){
 				echo "<h5> Sezioni scrutinate";
-				if ($tipo_cons!=4) echo ": $tot_scr su $tot_sez &nbsp;&nbsp;&nbsp;  ";
+				if ($tipo_cons!=4) echo ": $tot_scr su $tuttelesez &nbsp;&nbsp;&nbsp;  ";
 				echo "</h5>&nbsp;";
 			}
-			
 			$y=1;
 			$ar[0][0]=$tipo3;
@@ -506,9 +517,14 @@
 		      // sandro: carica i numeri di sezione dal DB - giugno 2009
 		      // caso: sezioni in collegi diversi non consecutive
+			if (strstr( $op,'circo'))
+				$res_numsez=mysql_query("select num_circ,id_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+			else{		      
 			if($circo) { $secirco=" and t2.id_circ=$id_circ";} else $secirco="and t1.num_sez >= $minsez and t1.num_sez <= $offsetsez";
 				$numsezioni = $offsetsez-$ominsez;
 				$res_numsez = mysql_query("SELECT t1.num_sez,t1.id_sez from ".$prefix."_ele_sezioni as t1, ".$prefix."_ele_sede as t2 where t1.id_cons=$id_cons and t1.id_sede=t2.id_sede $secirco order by t1.num_sez",$dbi);
-				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
-					$res=mysql_fetch_row($res_numsez);
+			}
+#				for ($z=1;$z<=($offsetsez-$ominsez);$z++) {
+				while($res=mysql_fetch_row($res_numsez)) {
+$z=$res[0];
 
 ##############inserimento percentuale di scrutinio nella sezione
@@ -516,18 +532,23 @@
 		$scrunulli=0;
 		$grpercscru=0;
-		if($op=="gruppo_sezione")
-			$resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli+solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-                elseif($op=="lista_sezione" and $votog)
-                        $resperc=mysql_query("select sum(validi),sum(nulli+bianchi+contestati+voti_nulli) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
-			
-		elseif($op=="lista_sezione")
-			$resperc=mysql_query("select sum(validi_lista),sum(nulli+bianchi+contestati+voti_nulli+contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+		$altri=0;
+		$votiscru=0;
+		if($op=="gruppo_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(solo_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_gruppo where id_sez='".$res[1]."'",$dbi);
+		}	
+		elseif($op=="lista_sezione"){
+			$resperc=mysql_query("select sum(validi),sum(contestati_lista+solo_gruppo+voti_nulli_lista) from ".$prefix."_ele_sezioni where id_sez='".$res[1]."'",$dbi);
+			$votiperc=mysql_query("select sum(voti) from ".$prefix."_ele_voti_lista where id_sez='".$res[1]."'",$dbi);
+		}	
 		if (isset($resperc) and $resperc)
 			list($scruvalidi,$scrunulli)=mysql_fetch_row($resperc);
+		if (isset($votiperc) and $votiperc)
+			list($votiscru)=mysql_fetch_row($votiperc);
 		$resperc = mysql_query("select sum(voti_complessivi) from ".$prefix."_ele_voti_parziale where id_sez='".$res[1]."' group by data,orario order by data desc, orario desc limit 0,1 ",$dbi);
 		if ($resperc)
 			list($totschede)=mysql_fetch_row($resperc);
-		if (isset($totschede) and $totschede>0 )
-			$grpercscru=number_format(($scruvalidi+$scrunulli)*100/$totschede,0);
+		if (isset($scruvalidi) and $scruvalidi>0 )
+			$grpercscru=$votiscru ? number_format(($votiscru+$scrunulli)*100/$scruvalidi,0) : 0;
 
 ###################			<span class=\"red\"><i>".$temp3[$key]." %</i></span>		
@@ -545,5 +566,4 @@
 			if ($res_voti)
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				if ($num_circ<$minpos or $num_circ>$maxpos) continue;
 					$z=array_search($num_circ, $pos); 
 				if (!isset($votitot[($z)])) {
@@ -563,10 +583,18 @@
 
 
-
-
-			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
-			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
- 				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
-			$onetime="";
+for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+if (strstr( $op,'circo'))
+$lis_sez=mysql_query("select num_circ from ".$prefix."_ele_circoscrizione where id_cons='$id_cons' and num_circ>='$minsez' and num_circ<='$offsetsez' order by num_circ",$dbi);
+else
+	$lis_sez=mysql_query("select num_sez from ".$prefix."_ele_sezioni where id_cons='$id_cons' and num_sez>='$minsez' and num_sez<='$offsetsez' order by num_sez",$dbi);
+$nsezsel=mysql_num_rows($lis_sez);
+while(list($z)=mysql_fetch_row($lis_sez)) 
+{ for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;";} //inizializza le celle interne
+
+###################################################################
+#			for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[0][$y]="&nbsp;";
+#			for ($z=1;$z<=($offsetsez-$ominsez);$z++)
+ #				for ($y=$min;$y<=($offset+$piuvot);$y++) $ar[$z][$y]="&nbsp;"; //inizializza le celle interne
+			$onetime=""; 
 			if ($res_voti)
 			{
@@ -575,12 +603,16 @@
 								$valar[($z)][$num_cand]=$voti;
 					}
-					foreach ($valar as $key=>$val){
+					foreach ($valar as $key=>$val){ 
 						if(isset($votitot[($key)]))
 							$percar[$key]=arrayperc($val,$votitot[($key)]);
 						}
 
-					 mysql_data_seek($res_voti,0);			
+					 if(mysql_num_rows($res_voti)) mysql_data_seek($res_voti,0);		
 			while (list($num_circ,$desc_circ,$num_cand,$nome,$voti,$sevalidi,$senulli,$sebianchi,$secontestati,$sevonulli) = mysql_fetch_row($res_voti)){
-				$z=array_search($num_circ, $pos); 
+					if($num_cand<$min or $num_cand>$offset) continue;
+
+				if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
+				$temp[$num_cand]+=$voti;
+				$z=array_search($num_circ, $pos); if (!$z) continue;
 				if ($num_cand>=$min and $num_cand<=$offset){
 					if($num_circ>=$minpos and $num_circ <=$maxpos){
@@ -594,11 +626,12 @@
 						$ar[($z)][$num_cand]=$percento;
 					}
-					if (!isset($temp[$num_cand])) $temp[$num_cand]=0;
-					$temp[$num_cand]+=$voti;
-					
-				}
+					
+					
+					
+				}
+				if (!strstr( $op,'candidato')){
 				if (!isset($tempar[$num_cand])) $tempar[$num_cand]=0;
-				$tempar[$num_cand]+=$voti;
-				if ($visvot!='cand'){
+				$tempar[$num_cand]+=$voti;}
+				if ($visvot!='cand'){ 
 				$posvoti=($offset);
 				$ar[0][$posvoti+1]='<b>Voti Validi</b>';
@@ -607,19 +640,20 @@
 				$ar[0][$posvoti+4]='<b>Voti Contestati</b>';
 				$ar[0][$posvoti+5]='<b>Voti Nulli</b>';
-				if (($maxpos)>=$num_circ and $minpos<=$num_circ){  
-				$posvoti++;
-				$ar[($z)][$posvoti++]="<b>$sevalidi</b>";
-				$ar[($z)][$posvoti++]="<b>$senulli</b>";
-				$ar[($z)][$posvoti++]="<b>$sebianchi</b>";
-				$ar[($z)][$posvoti++]="<b>$secontestati</b>";
-				$ar[($z)][$posvoti]="<b>$sevonulli</b>"; 
-				}
-				}
-			}
-			}
-			if (($offsetsez+1)>=$num_sez){ 
-				$ar[(2+$offsetsez-$minsez)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
+				if (($maxpos)>=$num_circ and $minpos<=$num_circ){ 
+				//$posvoti++;
+				$ar[($z)][$posvoti+1]="<b>$sevalidi</b>";
+				$ar[($z)][$posvoti+2]="<b>$senulli</b>";
+				$ar[($z)][$posvoti+3]="<b>$sebianchi</b>";
+				$ar[($z)][$posvoti+4]="<b>$secontestati</b>";
+				$ar[($z)][$posvoti+5]="<b>$sevonulli</b>"; 
+				}
+				} 
+			}
+			}
+
+			if (($offsetsez+1)>=$num_sez){  
+				$ar[(1+$numsezmax)][0]="<b>"._TOT."<br />"._COMPLESSIVO."</b>";
 				if(isset($temp)) {
-					 if (!isset($tab15)) $tab15="candidati";
+					 if (!isset($tab15) or !$tab15) $tab15="candidati";
                      if($tab15=="gruppo"){
                           $votigl=" sum(validi),sum(nulli),sum(bianchi),sum(contestati),sum(voti_nulli)";
@@ -627,17 +661,18 @@
                           $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }else{
-                          //$votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
-			  $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
+                          if($dettnulli) $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli_lista)";
+			  else $votigl=" sum(validi_lista),sum(nulli),sum(bianchi),sum(contestati_lista),sum(voti_nulli)";
                      }
                     if($circo) 
                     	$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni AS t1
 LEFT JOIN soraldo_ele_sede AS t2 ON t1.id_sede = t2.id_sede WHERE t1.id_cons='$id_cons' and t2.id_circ=$id_circ",$dbi);
-                    else
-						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni where id_cons='$id_cons'",$dbi);
+                    else 
+						$resv = mysql_query("SELECT $votigl from ".$prefix."_ele_sezioni as t1 where t1.id_cons='$id_cons' and  t1.id_sez=(select t2.id_sez from ".$prefix."_ele_voti_$tab15 as t2 where t2.id_sez=t1.id_sez group by t2.id_sez)",$dbi);
+
 					list ($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot)= mysql_fetch_row($resv);
 					$voticompl=$sevaltot+$senultot+$sebiatot+$secontot+$sevnutot;
 					$resvt = mysql_query("SELECT voti from ".$prefix."_ele_voti_$tab15 where id_cons='$id_cons'",$dbi);
 					if($resvt) list($votlt)=mysql_fetch_row($resvt); else $votlt=0;
-					$temp3=arrayperc($tempar,$sevaltot);
+					if($perc) $temp3=arrayperc($temp,$sevaltot);
 					while (list($key,$voti)= each($temp)) {
 						if ($perc=='true' and $voticompl) 
@@ -646,5 +681,5 @@
 						} else
 							$percento="<b>$voti</b>";
-						$ar[2+$offsetsez-$minsez][$key]=$percento;
+						$ar[1+$numsezmax][$key]=$percento;
 					}
 				}
@@ -652,5 +687,5 @@
 				$key=$offset+1;
 				$tmp=array($sevaltot,$senultot,$sebiatot,$secontot,$sevnutot);
-				$temp3=arrayperc($tmp,$voticompl);
+				if($perc) $temp3=arrayperc($tmp,$voticompl);
  				while(list($k,$voti)= each($tmp)) {
 					
@@ -659,5 +694,5 @@
                          $percento="<b>$voti<br /><span class=\"red\"><i>".$temp3[$k]." %</i></span></b>";
                      } else $percento="<b>$voti</b>";
-                     $ar[2+$offsetsez-$minsez][++$key]=$percento;
+                     $ar[1+$numsezmax][++$key]=$percento;
 
 				}
@@ -791,5 +826,4 @@
 	$res5 = mysql_query("select t1.*  from ".$prefix."_ele_sezioni as t1 left join ".$prefix."_ele_sede as t2 on t1.id_sede=t2.id_sede where t1.id_cons='$id_cons' ",$dbi);
 	$sezioni=mysql_num_rows($res5);
-	
 	if ($numero!=0) echo "<h5><i> "._SEZSCRU." $numero "._SU." $sezioni </i></h5>";
 