Index: trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_voti.php	(revision 256)
+++ trunk/admin/modules/Elezioni/controllo_voti.php	(revision 258)
@@ -16,5 +16,5 @@
 
 $aid=$_SESSION['aid'];
-$dbi=$_SESSION['dbi'];
+global $dbi;
 $prefix=$_SESSION['prefix'];
 $currentlang=$_SESSION['lang'];
@@ -29,11 +29,10 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);
-	list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = explode($row);
+	list($tipo_cons,$id_cons,$dettnulli,$disgiunto) = $sth->fetch(PDO::FETCH_BOTH);
 	$sql="SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons'";
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);
-	list($genere,$votog,$votol) = explode($row);
+	$row = 
+	list($genere,$votog,$votol) = $sth->fetch(PDO::FETCH_NUM);
 include("modules/Elezioni/funzionidata.php");
 include("modules/Elezioni/ele.php");
@@ -52,6 +51,6 @@
 	$sth = $dbi->prepare("$sql");
 	$sth->execute();	
-	$row = $sth->fetch(PDO::FETCH_BOTH);
-	list($totm,$totf) =  explode($row);
+#	$row = $sth->fetch(PDO::FETCH_BOTH);
+	list($totm,$totf) =  $sth->fetch(PDO::FETCH_NUM);
 	$totel=$totm+$totf;
 	if (!IsSet($pag)) {$pag=0;} //inizializza il numero di pagina 
@@ -61,6 +60,6 @@
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();	
-		$row = $sth->fetch(PDO::FETCH_BOTH);
 		$num_refs= $sth->rowCount(); //quante pagine?
+#		$row = $sth->fetch(PDO::FETCH_BOTH);
 	}
 	if((($genere!=4) and $pag==0 and !$votog) or $genere==1 or $genere==2){ //diverso da liste a piu' candidati
@@ -73,12 +72,14 @@
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();	
-		$row = $sth->fetch(PDO::FETCH_BOTH);
-		list($idg,$numg) = explode($row);
+#		$row = $sth->fetch(PDO::FETCH_BOTH);
+		list($idg,$numg) = $sth->fetch(PDO::FETCH_BOTH);
 		$sql="SELECT id_sez,num_sez,t1.id_sede as id_sede,t2.id_circ as id_circ FROM ".$prefix."_ele_sezioni as t1,".$prefix."_ele_sede as t2 where t1.id_cons='$id_cons' and t1.id_sede=t2.id_sede order by num_sez";
 		$sth = $dbi->prepare("$sql");
 		$sth->execute();
 		$num_sez = $sth->rowCount();  //quante sezioni?
+		$sezione=array();
 for ($i=1;$i<=$num_sez;$i++){
-		$sezione[$i]== $sth->fetch(PDO::FETCH_BOTH); //inizializza l'array delle sezioni
+		$sezione[$i]=array();
+		$sezione[$i]= $sth->fetch(PDO::FETCH_BOTH); //inizializza l'array delle sezioni
 		$ar[$i]=0;
 	}
@@ -127,7 +128,6 @@
 //	if ($genere>1 and $pag==1) $ops=3;
 	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;$tgrup_pref=0;$tot_voti_nulli=0;$tot_val_lista=0;$tot_vot_nul_lis=0;$tot_cont_lis=0;$tot_solog=0;$tot_solol=0;$errors=0;
-	while (	$row = $sth->fetch(PDO::FETCH_BOTH)){
+	while (	list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$voti_nulli,$val_lista,$vot_nul_lis,$cont_lis,$solog,$solol) = $sth->fetch(PDO::FETCH_NUM)){
 //controllare
-	list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$voti_nulli,$val_lista,$vot_nul_lis,$cont_lis,$solog,$solol) = explode($row);
 	// inserimento numeri di sez non scrutinate
 		while ($scrutinate < $num) { 
@@ -141,6 +141,5 @@
 			$sth2 = $dbi->prepare("$sql");
 			$sth2->execute();	
-			$row2 = $sth2->fetch(PDO::FETCH_BOTH);
-			list ($gruppref) = explode($row2);
+			list ($gruppref) = $sth2->fetch(PDO::FETCH_NUM);
 			$tgrup_pref += $gruppref;
 		}
@@ -149,6 +148,5 @@
 			$sth2 = $dbi->prepare("$tab2");
 			$sth2->execute();	
-			$row2 = $sth2->fetch(PDO::FETCH_BOTH);
-			list($votid,$votiu,$voti) = explode($row2);
+			list($votid,$votiu,$voti) = $sth2->fetch(PDO::FETCH_NUM);
 //		$voti=$votiu+$votid;
 		
@@ -185,6 +183,5 @@
 			$sth2 = $dbi->prepare("select stato_lis from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id'");
 			$sth2->execute();	
-			$row2 = $sth2->fetch(PDO::FETCH_BOTH);
-			list($crlis) = explode($row2);
+			list($crlis) = $sth2->fetch(PDO::FETCH_NUM);
 
 		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err and $crlis!=-1){