Index: /trunk/admin/modules/Elezioni/ele_colora_sez.php
===================================================================
--- /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 258)
+++ /trunk/admin/modules/Elezioni/ele_colora_sez.php	(revision 259)
@@ -1,19 +1,18 @@
 <?php
 if (!isset($_SESSION['aid'])) die ("You can't access this file directly..."); 
-global $id_cons,$id_circ,$id_sez,$dbi,$prefix;
+global $id_cons,$id_circ,$id_sez,$dbi,$prefix,$genere;
 
-$sql="select status from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
+$sql="select * from ".$prefix."_ele_controlli where id_cons='$id_cons' and id_sez='$id_sez'";
 $resc = $dbi->prepare("$sql");
-$resc->execute(); 
-list($stato)=$resc->fetch(PDO::FETCH_NUM);
+$resc->execute();
+$perr=$resc->rowCount();
+#list($saff,$stato)=$resc->fetch(PDO::FETCH_NUM);
 $sezstat=0;
-if($stato) {
+if($perr) {
 	$sezstat=1;
 	$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #FF3300;' where id_cons='$id_cons' and id_sez='$id_sez'"; #ROSSO
 	$res = $dbi->prepare("$sql");
 	$res->execute();	
-	}
-	
-elseif(!$sezstat){ #candidati
+	}else{ #candidati
 	$sql="SELECT t2.id_lista FROM ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on t1.id_cand=t2.id_cand where t1.id_cons='$id_cons' and t1.id_sez='$id_sez' group by t2.id_lista";
 	$res = $dbi->prepare("$sql");
@@ -36,9 +35,12 @@
 		if($res->rowCount()>0){
 			$sezstat=3;
-			$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #99CC33;' where id_cons='$id_cons' and id_sez='$id_sez'"; #VERDE
+			$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #48D1CC;' where id_cons='$id_cons' and id_sez='$id_sez'"; #"MEDIUMTORQUOISE"
 			$res = $dbi->prepare("$sql");
 			$res->execute();
 		}elseif(!$sezstat){ #gruppi
-			$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+			if($genere)
+				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'";
+			else
+				$sql="SELECT id_gruppo FROM ".$prefix."_ele_voti_ref where id_cons='$id_cons' and id_sez='$id_sez'";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
@@ -46,5 +48,5 @@
 			if($righe){ 
 				$sezstat=4;
-				$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #F5F5F5;' where id_cons='$id_cons' and id_sez='$id_sez'"; #whitesmoke
+				$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #B0C4DE;' where id_cons='$id_cons' and id_sez='$id_sez'"; #"LIGHTSTEELBLUE"
 				$res = $dbi->prepare("$sql");
 				$res->execute();
Index: /trunk/admin/modules/Elezioni/salva_gruppi.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 258)
+++ /trunk/admin/modules/Elezioni/salva_gruppi.php	(revision 259)
@@ -125,46 +125,24 @@
 	$resref = $dbi->prepare("$sql");
 	$resref->execute();	
-	if($genere==0){ 
-		$numscru=$resref->rowCount(); $rifscru=0;
-		while(list($idrefgruppo)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT si,no,validi,nulli,bianchi,contestati FROM ".$prefix."_ele_voti_ref where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-			$refscru=$res2->rowCount(); 
-			$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez' and id_gruppo='$idrefgruppo'";
-			$res3 = $dbi->prepare("$sql");
-			$res3->execute();
-			list($voti)=$res3->fetch(PDO::FETCH_NUM);
-			$rifscru++;
-			list($si,$no,$validi,$nulli,$bianchi,$contestati)=$res2->fetch(PDO::FETCH_NUM);
-			if(($si+$no==$validi) and ($validi+$nulli+$bianchi+$contestati==$voti)) 
-				continue;
-			else {$err=1; break;}	
-		}
-	}else{
-		#per le altre consultazione
-		$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
-		$res3 = $dbi->prepare("$sql");
-		$res3->execute();
-		list($voti)=$res3->fetch(PDO::FETCH_NUM);
-		$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
-		$res2 = $dbi->prepare("$sql");
-		$res2->execute();
-		list($validi) = $res2->fetch(PDO::FETCH_NUM);
-		if($validi) {
-			$status=0;
-			$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
-			$sql="$query";
-			$res4 = $dbi->prepare("$sql");
-			$res4->execute();
-			list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
-			if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
-				{$err=1;}
-		} 
-	}
-
-#############
+	$sql="SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_sez='$id_sez'";
+	$res3 = $dbi->prepare("$sql");
+	$res3->execute();
+	list($voti)=$res3->fetch(PDO::FETCH_NUM);
+	$sql="SELECT validi FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' and id_cons='$id_cons' ";
+	$res2 = $dbi->prepare("$sql");
+	$res2->execute();
+	list($validi) = $res2->fetch(PDO::FETCH_NUM);
+	if($validi) {
+		$status=0;
+		$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+		$sql="$query";
+		$res4 = $dbi->prepare("$sql");
+		$res4->execute();
+		list($validi, $nulli, $bianchi,$contestati,$votinulli)=$res4->fetch(PDO::FETCH_NUM);
+		if (($validi+$nulli+$bianchi+$contestati+$votinulli)!=$voti)
+			{$err=1;}
+	} 
 	$tipo='gruppo';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez' and id= ";
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
 	$res = $dbi->prepare("$sql");
 	$res->execute();
@@ -183,51 +161,5 @@
 		$res->execute();		
 	}
-#############
-	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-	$aff=$resc->fetch(PDO::FETCH_BOTH);
-	if($aff['status']) {
-		if ($aff['stato_aff'] ||$aff['stato_lis'] || $aff['stato_gru'] || $aff['stato_can']) {
-			$sql="update ".$prefix."_ele_controllosez set stato_val='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}else{
-			$sql="update ".$prefix."_ele_controllosez set stato_val='$err',status='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		
-	}
-	if($err || $aff['status'])
-		$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #FF3300;' where id_cons='$id_cons' and id_sez='$id_sez'"; #ROSSO
-	else {
-		$col="#F0E68C;";
-		$sql="select id_cand from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' group by id_cand";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$vv=$res->rowCount();
-		$sql="select id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$vvt=$res->rowCount();
-		if($vvt=$vv) $col="#F0E68C;"; #colore se finito l'inserimento dei viti ai candidati
-		else{
-			$sql="select id_lista from ".$prefix."_ele_voti_lista where id_sez='$id_sez' group by id_lista";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$vv=$res->rowCount();
-			$sql="select id_lista from ".$prefix."_ele_lista where id_cons='id_cons'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$vvt=$res->rowCount();
-			if($vvt=$vv) $col="#F0E68C;"; #colore se finito l'inserimento dei voti alle liste
-			
-		}
-		$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: $col' where id_cons='$id_cons' and id_sez='$id_sez'"; #"#F0E68C" "KHAKY"
-		
-	}
-	$res = $dbi->prepare("$sql");
-	$res->execute();
+	include("ele_colora_sez.php");
 	
 }
Index: /trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- /trunk/admin/modules/Elezioni/salva_liste.php	(revision 258)
+++ /trunk/admin/modules/Elezioni/salva_liste.php	(revision 259)
@@ -197,49 +197,28 @@
 
 	}
-	$sql="select * from ".$prefix."_ele_controllosez where id_cons='$id_cons' and id_sez='$id_sez'";
-	$resc = $dbi->prepare("$sql");
-	$resc->execute();
-	$aff=$resc->fetch(PDO::FETCH_BOTH);
-	if($id_lista) {$cur=$aff['stato_lis']; $campo='stato_can';} else {$curr=$aff['stato_can']; $campo='stato_lis';}
-	if($aff['status']) {
-		if ($aff['stato_aff'] ||$curr || $aff['stato_gru'] || $aff['stato_val']) {
-			$sql="update ".$prefix."_ele_controllosez set $campo='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
-			$res = $dbi->prepare("$sql");include("$sql");
-			$res->execute();
-		}else{
-			$sql="update ".$prefix."_ele_controllosez set $campo='$err',status='$err' where id_cons='$id_cons' and id_sez='$id_sez'";
+
+	$tipo='lista';
+	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
+	$res = $dbi->prepare("$sql");
+	$res->execute();
+	$righe=$res->rowCount();
+	if($righe){
+		if(!$err){ 
+			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
 			$res = $dbi->prepare("$sql");
 			$res->execute();
 		}
-		
-	}
-	if($err || $aff['status'])
-		$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: #FF3300;' where id_cons='$id_cons' and id_sez='$id_sez'"; #ROSSO
-	else {
-		$col="#F0E68C;";
-		$sql="select id_cand from ".$prefix."_ele_voti_candidati where id_sez='$id_sez' group by id_cand";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$vv=$res->rowCount();
-		$sql="select id_cand from ".$prefix."_ele_candidati where id_cons='$id_cons'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$vvt=$res->rowCount();
-		if($vvt=$vv) $col="#32CD32;"; #"LIMEGREEN" colore se finito l'inserimento dei voti ai candidati 
-		else{
-			$sql="select id_lista from ".$prefix."_ele_voti_lista where id_sez='$id_sez' group by id_lista";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$vv=$res->rowCount();
-			$sql="select id_lista from ".$prefix."_ele_lista where id_cons='id_cons'";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-			$vvt=$res->rowCount();
-			if($vvt=$vv) $col="#F0E68C;"; #"KHAKY" colore se finito l'inserimento dei voti alle liste			
-		}
-		$sql="UPDATE ".$prefix."_ele_sezioni set colore='style=\" background: $col' where id_cons='$id_cons' and id_sez='$id_sez'"; 
-	}
-	$res = $dbi->prepare("$sql");
-	$res->execute();
+		$err=0;
+	}
+	if($err){
+		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
+		$res = $dbi->prepare("$sql");
+		$res->execute();		
+	}
+	include("ele_colora_sez.php");
+	
+
+
+
 	
 }