Index: trunk/admin/modules/Elezioni/salva_liste.php
===================================================================
--- trunk/admin/modules/Elezioni/salva_liste.php	(revision 260)
+++ trunk/admin/modules/Elezioni/salva_liste.php	(revision 262)
@@ -88,13 +88,15 @@
 		$res = $dbi->prepare("$sql");
 		$res->execute();
-		$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
+		if(!$id_lista){
+			$sql="delete from ".$prefix."_ele_voti_lista where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="delete from ".$prefix."_ele_controlli where tipo='lista' and id_sez='$id_sez' ";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+			$sql="update  ".$prefix."_ele_sezioni set validi_lista='',contestati_lista='',voti_nulli_lista='',solo_gruppo='',solo_lista='' where id_cons='$id_cons' and id_sez='$id_sez'";
+			$res = $dbi->prepare("$sql");
+			$res->execute();
+		}
 		
 	}elseif($id_lista){
@@ -149,7 +151,8 @@
 
 
-
+include("ele_controlli.php");
 controllo_votil($id_cons,$id_sez,$id_lista);
-
+include("ele_colora_sez.php");
+	
 if ($fileout) fclose($fp);
 $BASE=substr($_SERVER['PHP_SELF'], 0, strrpos($_SERVER['REQUEST_URI'], "/")-16);
@@ -161,82 +164,5 @@
 
 	
-function controllo_votil($id_cons,$id_sez,$id_lista){
-	global $prefix,$dbi,$id_sede,$id_cons_gen,$validi;
-		##############################
-	$err=0; $err2=0;
-	if($id_lista){
-		$sql="SELECT preferenze FROM ".$prefix."_ele_cons_comune where id_cons='$id_cons'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($prefs)=$res->fetch(PDO::FETCH_NUM);
-		$sql="select voti from ".$prefix."_ele_voti_lista where id_lista='$id_lista' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($votil)=$res->fetch(PDO::FETCH_NUM);
-		$sql="SELECT sum(voti),max(voti) FROM ".$prefix."_ele_voti_candidati where id_sez='$id_sez' and id_cand in (select id_cand from ".$prefix."_ele_candidati where id_lista='$id_lista')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($votic,$mvc)=$res->fetch(PDO::FETCH_NUM);
-		if(($votic*$prefs)>$votil || $mvc>$votil) 
-			$err=1;
-	}else{
-		$sql="select id_gruppo from ".$prefix."_ele_lista where id_lista='$id_lista'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-		list($idg)=$res->fetch(PDO::FETCH_NUM);
-		$sql="SELECT id_gruppo, voti, solo_gruppo FROM ".$prefix."_ele_voti_gruppo where id_sez='$id_sez'";
-		$resref = $dbi->prepare("$sql");
-		$resref->execute();
-		$totlis=0;
-		$totgru=0;
-		$totsg=0;
-		$totsl=0;
-        $sql="SELECT validi,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'";
-		$res = $dbi->prepare("$sql");
-		$res->execute();
-    	list($votiv,$validil,$contestatil,$nullil,$solol) = $res->fetch(PDO::FETCH_NUM);
-		while (list($idg,$votig,$svg)=$resref->fetch(PDO::FETCH_NUM)) {
-			$sql="SELECT sum(voti), sum(solo_lista) FROM ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista in (select id_lista from ".$prefix."_ele_lista where id_gruppo='$idg')";
-			$res2 = $dbi->prepare("$sql");
-			$res2->execute();
-			$totgru+=$votig;
-			$totsg+=$svg;
-			if($res2->rowCount()){
-				list($votil,$svl)=$res2->fetch(PDO::FETCH_NUM);
-				$totlis+=$votil;
-				$totsl+=$svl;
-				if(($votig+$svl)<($votil+$svg))
-					$err=1; 
-			}
-			
-		}
-		if ($validil+$contestatil+$nullil+$solol+$totsg!=$votiv and $validil+$contestatil+$nullil+$solol>0) $err=1;
-	}
-
-	$tipo='lista';
-	$sql="select id from ".$prefix."_ele_controlli where tipo='$tipo' and id_sez='$id_sez'";
-	$res = $dbi->prepare("$sql");
-	$res->execute();
-	$righe=$res->rowCount();
-	if($righe){
-		if(!$err){ 
-			$sql="delete from ".$prefix."_ele_controlli where tipo='$tipo' and id='$id_sez' ";
-			$res = $dbi->prepare("$sql");
-			$res->execute();
-		}
-		$err=0;
-	}
-	if($err){
-		$sql="insert into ".$prefix."_ele_controlli value('$id_cons','$id_sez','$tipo','$id_sez')";
-		$res = $dbi->prepare("$sql");
-		$res->execute();		
-	}
-	include("ele_colora_sez.php");
-	
 
 
-
-	
-}
-
 ?>